# $Revision: 1.15 $, $Date: 2011/03/26 10:54:02 $
Summary:	Retrieve the DSDT from your BIOS
Summary(pl.UTF-8):	Narzędzie do odczytu DSDT z BIOS-u
Name:		pmtools
Version:	20110323
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://ftp.kernel.org/pub/linux/kernel/people/lenb/acpi/utils/%{name}-%{version}.tar.bz2
# Source0-md5:	9ed64a1c04bb9597257786de034a77a9
URL:		http://acpi.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DSDT is an acronym for Differentiated System Description Table. This
table contains the Differentiated Definition Block, which supplies the
information and configuration information about the base system. It is
always inserted into the ACPI Namespace by the OS at boot time.
Unfortunately, many hardware vendors and OEMs are not capable of
supplying fully functional tables (not even the members of the ACPI
SIG)

%description -l pl.UTF-8
DSDT to skrót od Differentiated System Description Table (różnicowa
tabela opisu systemu). Jest to tabela zawierająca różnicowy blok
definicji, dostarczający informacji o systemie bazowym i jego
konfiguracji. Jest zawsze umieszczany w przestrzeni nazw ACPI przez
system operacyjny w czasie startu. Niestety wielu producentów sprzętu
i OEM-ów nie ma możliwości dostarczania w pełni funkcjonalnych tabel
(nawet członkowie ACPI SIG).

%prep
%setup -q -n %{name}

mv -f madt/README README.madt

%build
%{__make} -C acpidump \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -Wstrict-prototypes -Wdeclaration-after-statement -D_LINUX -DDEFINE_ALTERNATE_TYPES -I../include"

%{__make} -C acpixtract \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -Wstrict-prototypes -D_LINUX -DACPI_APPLICATION -I../include"

%{__cc} %{rpmldflags} %{rpmcflags} -o madt/madt madt/madt.c
%{__cc} %{rpmldflags} %{rpmcflags} -o turbostat/turbostat turbostat/turbostat.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install acpidump/acpidump acpixtract/acpixtract madt/madt turbostat/turbostat \
	$RPM_BUILD_ROOT%{_sbindir}
install turbostat/turbostat.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README README.madt
%attr(755,root,root) %{_sbindir}/acpidump
%attr(755,root,root) %{_sbindir}/acpixtract
%attr(755,root,root) %{_sbindir}/madt
%attr(755,root,root) %{_sbindir}/turbostat
%{_mandir}/man8/turbostat.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pmtools.spec,v $
Revision 1.15  2011/03/26 10:54:02  qboosh
- updated to 20110323

Revision 1.14  2011/01/09 09:44:32  qboosh
- updated to 20101221
- package turbostat manual

Revision 1.13  2010/11/10 15:01:27  gotar
- build and package turbostat

Revision 1.12  2010/09/25 16:51:24  qboosh
- updated to 20100825

Revision 1.11  2007/12/16 14:11:57  gotar
- up to 20071116

Revision 1.10  2007/07/18 15:17:02  qboosh
- updated to 20070714

Revision 1.9  2007/05/15 16:56:08  qboosh
- updated to 20070511

Revision 1.8  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.6  2006/12/20 23:17:01  qboosh
- updated to 20061130

Revision 1.5  2006/11/01 11:20:09  qboosh
- updated to 20061026, package madt

Revision 1.4  2006/02/11 21:53:16  maciek2w
- updated to 20051111

Revision 1.3  2004/03/24 13:21:30  qboosh
- don't try to build pmtest kernel module, fixed install,files

Revision 1.2  2004/03/23 11:07:58  qboosh
- pl

Revision 1.1  2004/03/22 22:22:50  blues
- does not build on my system. I won't finish it (lazy me...)
